ConcurrentCollectionStatisticsImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.stat.internal
Class ConcurrentCollectionStatisticsImpl

    java.lang.Object
      org.hibernate.stat.internal.CategorizedStatistics
          org.hibernate.stat.internal.ConcurrentCollectionStatisticsImpl

All Implemented Interfaces:
  Serializable, CollectionStatistics

    public class ConcurrentCollectionStatisticsImpl

extends CategorizedStatistics
implements CollectionStatistics

Collection related statistics

See Also:
  Serialized Form

Method Summary
`long` | `getFetchCount()`
`long` | `getLoadCount()`
`long` | `getRecreateCount()`
`long` | `getRemoveCount()`
`long` | `getUpdateCount()`
`String` | `toString()`

Methods inherited from class org.hibernate.stat.internal.CategorizedStatistics
`getCategoryName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getLoadCount

    public long getLoadCount()

  Specified by:
    `getLoadCount` in interface `CollectionStatistics`

### getFetchCount

    public long getFetchCount()

  Specified by:
    `getFetchCount` in interface `CollectionStatistics`

### getRecreateCount

    public long getRecreateCount()

  Specified by:
    `getRecreateCount` in interface `CollectionStatistics`

### getRemoveCount

    public long getRemoveCount()

  Specified by:
    `getRemoveCount` in interface `CollectionStatistics`

### getUpdateCount

    public long getUpdateCount()

  Specified by:
    `getUpdateCount` in interface `CollectionStatistics`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.